﻿using System.Drawing;

namespace NTERA.Console
{
	public abstract class BaseRenderItem : IRenderItem
	{
		public virtual bool InvalidateOnMouseStateChange { get; protected set; }

		public Rectangle Region { get; set; }

		public abstract int Render(Graphics graphics, Rectangle renderArea, Rectangle invalidatedArea, Point mousePointer);

		public virtual void Dispose() { }
	}
}